# std::experimental::filesystem::path::empty

From cppreference.com
< cpp‎ | experimental‎ | fs‎ | path

bool empty() const; |  | (filesystem TS)

Checks if the path is empty.

### Parameters

(none)

### Return value

true if the path is empty, false otherwise.

### Exceptions

`noexcept` specification:
noexcept

### See also

has_root_pathhas_root_namehas_root_directoryhas_relative_pathhas_parent_pathhas_filenamehas_stemhas_extension | checks if the corresponding path element is not empty (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/experimental/fs/path/empty&oldid=91585"